Random.h File Reference

Go to the source code of this file.

## Namespaces

| escript

## Functions

void | escript::randomFillArray (long seed, double *array, size_t n)
void | escript::patternFillArray2D (size_t x, size_t y, double *array, size_t spacing, size_t basex, size_t basey, size_t numpoints)
void | escript::patternFillArray (int pattern, size_t x, size_t y, size_t z, double *array, size_t spacing, size_t basex, size_t basey, size_t basez, size_t numpoints)